Sponsored Content
Full Discussion: Script Help
Top Forums Shell Programming and Scripting Script Help Post 302554721 by ahamed101 on Monday 12th of September 2011 09:30:58 PM
Old 09-12-2011
Code:
#!/bin/bash
#Script name : run
#Usage : ./run <file_to_be_checked>
file_to_check=$1
test -s $file_to_check && size=$( stat -c %s $file_to_check ) || size=0
test $size -gt 0 && exit 0 || exit 1


root@bt:/tmp# ls -lrt *empty*
-rw-r--r-- 1 root root 0 2011-09-13 06:57 emptyfile
-rw-r--r-- 1 root root 9 2011-09-13 06:57 nonempty
root@bt:/tmp# ./run nonexistant  ;echo $?
1
root@bt:/tmp# ./run emptyfile  ;echo $?
1
root@bt:/tmp# ./run nonempty  ;echo $?
0

--ahamed
 

5 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

create a shell script that calls another script and and an awk script

Hi guys I have a shell script that executes sql statemets and sends the output to a file.the script takes in parameters executes sql and sends the result to an output file. #!/bin/sh echo " $2 $3 $4 $5 $6 $7 isql -w400 -U$2 -S$5 -P$3 << xxx use $4 go print"**Changes to the table... (0 Replies)
Discussion started by: magikminox
0 Replies

2. Shell Programming and Scripting

Script will keep checking running status of another script and also restart called script at night

I am using blow script :-- #!/bin/bash FIND=$(ps -elf | grep "snmp_trap.sh" | grep -v grep) #check snmp_trap.sh is running or not if then # echo "process found" exit 0; else echo "process not found" exec /home/Ketan_r /snmp_trap.sh 2>&1 & disown -h ... (1 Reply)
Discussion started by: ketanraut
1 Replies

3. UNIX for Dummies Questions & Answers

Calling a script from master script to get value from called script

I am trying to call a script(callingscript.sh) from a master script(masterscript.sh) to get string type value from calling script to master script. I have used scripts mentioned below. #masterscript.sh ./callingscript.sh echo $fileExist #callingscript.sh echo "The script is called"... (2 Replies)
Discussion started by: Raj Roy
2 Replies

4. Shell Programming and Scripting

Shell script works fine as a standalone script but not as part of a bigger script

Hello all, I am facing a weird issue while executing a code below - #!/bin/bash cd /wload/baot/home/baotasa0/sandboxes_finance/ext_ukba_bde/pset sh UKBA_publish.sh UKBA 28082015 3 if then echo "Param file conversion for all the areas are completed, please check in your home directory"... (2 Replies)
Discussion started by: ektubbe
2 Replies

5. Shell Programming and Scripting

How to block first bash script until second bash script script launches web server/site?

I'm new to utilities like socat and netcat and I'm not clear if they will do what I need. I have a "compileDeployStartWebServer.sh" script and a "StartBrowser.sh" script that are started by emacs/elisp at the same time in two different processes. I'm using Cygwin bash on Windows 10. My... (3 Replies)
Discussion started by: siegfried
3 Replies
XDG-SU(1)																 XDG-SU(1)

NAME
xdg-su - run a GUI program as root after prompting for the root password SYNOPSIS
xdg-su [-u user] -c command xdg-su {--help --manual --version} DESCRIPTION
xdg-su provides a graphical dialog that prompts the user for a password to run command as user or as root if no user was specified. xdg-su is for use inside a desktop session only. xdg-su discards any stdout and stderr output from command. OPTIONS
-u user run command as user. The default is to run as root. --help Show command synopsis. --manual Show this manualpage. --version Show the xdg-utils version information. EXIT CODES
An exit code of 0 indicates success while a non-zero exit code indicates failure. The following failure codes can be returned: 1 Error in command line syntax. 2 One of the files passed on the command line did not exist. 3 A required tool could not be found. 4 The action failed. SEE ALSO
su(1) EXAMPLES
xdg-su -u root -c "/opt/shinythings/bin/install-GUI --install fast" Runs the /opt/shinythings/bin/install-GUI command with root permissions. AUTHOR
Kevin Krammer, Jeremy White. <kevin.krammer@gmx.at> <jwhite@codeweavers.com> This is release 0.5 of the xdg-su Manual 07/31/2006 XDG-SU(1)
All times are GMT -4. The time now is 03:14 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy